Bug 239982 - Please update to a recent version of fontforge in fedora-devel
Summary: Please update to a recent version of fontforge in fedora-devel
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fontforge   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F8Target
TreeView+ depends on / blocked
 
Reported: 2007-05-13 21:53 UTC by Nicolas Mailhot
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-17 20:53:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nicolas Mailhot 2007-05-13 21:53:03 UTC
fontforge has recently changed its on-disk sfd format
As a result next dejavu version (2.18, in ~ 1 month) will require a new fontforge 
Please update fontforge in fedora-devel (I've built 2.17 in rawhide today, it'll
probably end as the last F7 update, so pre-F7 releases should keep the current
fontforge)

Comment 1 Nicolas Mailhot 2007-05-13 22:23:02 UTC
(should probably wait ~ 2 weeks for the new fontforge to stabilize)

Comment 2 Kevin Fenzi 2007-05-13 22:55:37 UTC
Funny happenstance, I was just looking at fontforge today.

We were probibly going to push this as an update after f7 release if it proves
stable. I note also from the project web page that the maintainer is gone until
the end of May, so it might be good to wait until he is back so he can push any
needed fixes. 


Comment 3 Nicolas Mailhot 2007-05-13 23:18:09 UTC
He dropped his bomb May 1rst :)
The dejavu folks started converting as soon as they released 2.17, so they'll
probably identify and report problems before long

Comment 4 Kevin Fenzi 2007-06-07 01:38:24 UTC
ok, would in the next few days be a good time to push the new version? 

I'd be happy to wait or go ahead, whatever would work best for you. 

Comment 5 Nicolas Mailhot 2007-06-07 06:26:59 UTC
ok dejavu-side (only for fedora-devel)

Comment 6 Kevin Fenzi 2007-06-08 02:11:07 UTC
ok. Will build and test and push out later tonight... 


Comment 7 Kevin Fenzi 2007-06-08 04:31:00 UTC
ok. Pushed out to devel. 

Let me know if you spot any problems. If it looks ok, can you close this bug? 

Also, would you be interested in being a co-maintainer on fontforge? 
I only took it when roozbeh wasn't available. 



Comment 8 Nicolas Mailhot 2007-06-17 20:53:01 UTC
Seems to work well, thanks a lot!


Note You need to log in before you can comment on or make changes to this bug.